## org.apache.taglibs.standard.tag.rt.sql
Class SetDataSourceTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.sql.SetDataSourceTagSupport
              org.apache.taglibs.standard.tag.rt.sql.SetDataSourceTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class SetDataSourceTag

extends SetDataSourceTagSupport

Tag handler for <Driver> in JSTL, used to create a simple DataSource for prototyping.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.sql.SetDataSourceTagSupport
`dataSource, dataSourceSpecified, driverClassName, jdbcURL, password, userName`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetDataSourceTag()`

Method Summary
`void` `setDataSource(Object dataSource)`
`void` `setDriver(String driverClassName)`
`void` `setPassword(String password)`
`void` `setUrl(String jdbcURL)`
`void` `setUser(String userName)`

Methods inherited from class org.apache.taglibs.standard.tag.common.sql.SetDataSourceTagSupport
`doStartTag, release, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetDataSourceTag

    public SetDataSourceTag()

Method Detail

### setDataSource

    public void setDataSource(Object dataSource)

### setDriver

    public void setDriver(String driverClassName)

### setUrl

    public void setUrl(String jdbcURL)

### setUser

    public void setUser(String userName)

### setPassword

    public void setPassword(String password)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.